---
version: 1
disable_existing_loggers: False
formatters:
    verbose:
        format: "%(levelname)s %(asctime)s %(module)s %(process)d %(thread)d %(message)s"
    simple:
        format: "%(levelname)s %(message)s"
handlers:
    console:
        level: DEBUG
        class: logging.StreamHandler
        formatter: simple
    rotfile:
        level: DEBUG
        class: logging.handlers.RotatingFileHandler
        filename: rotating.log
        maxBytes: 5242880
        backupCount: 5
        formatter: verbose
    memfile:
        level: DEBUG
        class: logging.handlers.RotatingFileHandler
        filename: memdump.log
        maxBytes: 5242880
        backupCount: 5
        formatter: verbose
loggers:
    archon:
        handlers: [rotfile]
        level: DEBUG
        propagate: False
root:
    handlers: [console]
    propagate: True
    level: WARNING
